unit fm_About;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  Tfm_AboutBox = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    lb_Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    fVersion: real;
    procedure SetVersion(AVersion: real);
  public
    { Public declarations }
    property Version: real read fVersion write SetVersion;

  end;

var
  fm_AboutBox: Tfm_AboutBox;

implementation

//----------------------------------------------
procedure Tfm_AboutBox.SetVersion(AVersion: real);
//----------------------------------------------
Var
  S: string;
Begin
  fVersion := AVersion;
  Str(Version:5:2, S);
  lb_Version.Caption := 'Version ' + S;
end;

{$R *.DFM}

procedure Tfm_AboutBox.FormCreate(Sender: TObject);
begin
  Version := 0.0;
end;

end.

